Page 1

3DArtDirect.com

FANTASY & SCI-FI ARTIST IN-DEPTH INTERVIEWS

DIRE T

GAME LANDSCAPES SPECIAL ISSUE

THEHUNTER VIDEOGAME

OBLIVION: UNIQUE LANDSCAPES

RICHARD WHITELOCK

ISSUE 45 DECEMBER 2014

VUE ● TERRAGEN ● POSER ● MOJOWORLD ● CARRARA ● DAZ STUDIO ● CINEMA 4D ● 3DS MAX ● ZBRUSH ● REAL-TIME


ADVERTISE IN 3D ART DIRECT! TAKE A HALF PAGE OR QUARTER PAGE

SPECIAL LOW INTRODUCTORY OFFER! ADS TO APPEAR IN THE JANUARY/FEBRUARY DOUBLE-ISSUE

YOUR AD HERE

YOUR AD HERE

2


YOUR AD HERE

YOUR AD HERE

HALF PAGE:

$28 U.S.

SIZE: 2560 x 1600 pixels. QUARTER PAGE:

$18 U.S.

SIZE: 1530 x 1200 pixels. PAYPAL TO: paul@3dartdirect.com JPG ADVERT AND WEB LINK TO: dave@3dartdirect.com

3


NEW WORLD

PRES

“ICEL NEW WORLD DIGITAL ART, premier provider of Terragen content, has again teamed up with Planetside Software to bring you another of their renowned Terragen challenges. This time a theme contest of “ICELAND”. This county, with its majestic and awe-inspiring views is a perfect fit for Terragen and its powerful render engine. With photo-realism as their main goal, contestants are to re-create any region of this island, taking full advantage of Planetside Software’s newly released version 3.1 software. With this new release users now have functions such as object mesh deformation, enhanced digital elevation data support (DEM), depth of field, rendering layer elements and more! For more details on Terragen 3 go to Planetside Software at http:// planetside.co.uk/products/terragen3. This contest is open from 26th October 2014 through 14th February 2015, and is open to all versions of Terragen 2 & 3 free or registered. For more detailed contest guidelines please head over to www.nwdastore.com

“ICELAND”: OUR PREMIUM SPONSORS NWDA is known for gathering some impressive prize packages for its winners, “ICELAND” is no exception. This year NWDA has assembled an all-star prize package, containing everything that a 3d digital landscaper would want or need! The competition prizes are as follows: 1st Place: XFrog Plants Vols 1 & 2 — 2900 plants. Planetside Software—Terragen 3 Professional with animation. WorldCreator — Indie Bundle. Bitethebites — ShaderTool. World Machine 2 Professional. Quadspinner — Geoglyph – a professional suite of 51 custom macros for World Machine (Single Node, free upgrades). Silva3D — Mega Bundle Vol.1. Silva3D — Balcony Plants Vol.1. Silva3D — Garden Flowers Vol.1. Silva3D — Boxwood Bundle Vol.1. 3d Art Direct — Interview “The Making Of”. 3d Art Direct — 1 Year “Back Issue Access”. Plug n’ Pixels — Interview. Pixel Plow — Rendering of animated winning scene file on Pixel Plow’s advanced render farm! 4


DIGITAL ARTS

SENTS

LAND” 2nd Place: XFrog Plants Vols 1 & 2 — 2,900 plants. Planetside Software — Terragen 3 Creative with animation. WorldCreator — Indie license. bitethebites — ShaderTool. Silva3D — Mega Bundle Vol.1 (or pick four from either: Archive Grasses; Balcony; Wildflower; Garden Flowers; Boxwood; or Shrubs). 3d Art Direct — Interview “The Making Of”. 3d Art Direct — 1 Year “Back Issue Access”. Plug n’ Pixels — Interview.

3rd Place: XFrog Plants Vols 1 & 2 — 2900 plants. Planetside Software’s Terragen 3 Creative. WorldCreator — Indie license. bitethebites — ShaderTool. Silva3D – Two Choice (pick two from either Archive Grasses; Balcony; Wildflower; Garden Flowers; Boxwood or Shrubs). 3d Art Direct — Interview “The Making Of”. 3d Art Direct — 1 Year “Back Issue Access”. Plug n’ Pixels — Interview.

“ICELAND”: PANEL OF JUDGES NWDA Partners About Us Matt Fairclough, creator of the Terragen software IMDb Greg Teegarden, Digital Domain IMDb Chris Harvey, X-Men: First Class, Tron: Legacy and GI-Joe IMDb Alex Jevon, The Bible, Atlantis IMDb Contest guidelines are at www.nwdastore.com Deadline: 14th February 2015

‘Honorable Mention’: Silva3D – Choice (pick one from either Archive Grasses; Balcony; Wildflower; Garden Flowers; Boxwood; or Shrubs). NWDA — $50 Gift Coupon to NWDA’s shop. 5


Magnet Mastery the complete guide to Poser Magnets Saturday 6th December 2014 20:00 GMT/15:00 EST/12:00 PST

Presented by Charles Taylor from Nerd3D Graphics Magnets in Poser are an extremely powerful tool, but often unused. Join us in this live webinar with Poser veteran Nerd 3D to unlock the use of magnets and make the most out of them. Artwork by Aeon Soul

REGISTER NOW/MORE DETAILS 6


ZBrush Clinic Solutions to Improve Workflow and Techniques Saturday 13th or Sunday 14th December Presented by John Haverkamp

REGISTER NOW/MORE DETAILS 7


ARCHIVE

MAGAZINE

Join our mailing list to get a free magazine speeding to your inbox.

Complete access to all our magazine back issues, for just $35.

3dartdirect.com

3dartdirect.com

LIVE

PODCAST

Join our live webinar-based workshops for 3D digital artists.

Our monthly fresh inspiration for 3D artists, available on iTunes.

3DArtLive.com

Subscribe to the Podcast feed.

Credits for backgrounds, from top left: theHunter: Primal; River Strid (Unique Landscapes mod for Oblivion); Imperial City surrounds (Unique Landscapes mod for Oblivion); theHunter.

Paul Bussey

Danny Gordon

Editor, Conference Director

Conference Manager

paul@3dartdirect.com

danny@3dartdirect.com

Dave Haden Assistant Editor and Layout dave@3dartdirect.com

Copyright Š 2014 3D Art Direct. Published in the United Kingdom. No part of this publication may be reproduced, stored in a retrieval system or transmitted in any form or by any means electronic, mechanical, photocopying, recording or otherwise without the prior written permission of the publisher. No copyright claim is made by the publisher regarding any artworks made by the artists featured in this magazine.

8


2014

DEC

Front Cover: In-play screenshot from Aberneth’s “Fallenleaf Everglade” Unique Landscapes mod for the Bethesda videogame Elder Scrolls: Oblivion.

CONTENTS ―― 04

3D ART LIVE! ―― 11

INTRO

INTERVIEWS

―― 70

FREEBIES

―― 12

―― 40

―― 58

PETER JOHANSSON

UNIQUE LANDSCAPES

RICHARD WHITELOCK

3d Art Direct interviews

3d Art Direct talks to

3d Art Direct chats with

the Art Director at Expansive Worlds about his work on directing the game The Hunter.

Arthmoor, from the massive Unique Landscapes mod project for Elder Scrolls: Oblivion.

an indie game developer from the UK, about creating a unique art/ landscape game in Unity.

AVALANCHE ENGINE

BETHESDA GAME ENGINE

UNITY GAME ENGINE

9


DOWNLOAD our recorded webinars and conferences, including the complete recording of the Poser Expo 3 conference!

TERRALIVE Bundle Was $59.00

NOW $49.00

Application : Terragen 2 Presenters: Martin Husiman (Tangled Universe), Frank Basinski, Danny Gordon and Ron Miller. Duration : Over 8.5 hours of content through five sessions. Level: Intermediate to advanced. The content is crucially aimed at those wanting to better understand the node network in T2. Includes: Webinar recordings + Presenter Materials + Special Issue of 3D Art Direct Magazine : Interviews with your favourite T2 artists. The TOSCARS : Awards for best Terragen 2 artists Scene Building : Parts 1 and 2 by Martin Huisman Clouds Tutorial : Frank Basinski Commercial use of Terragen : By illustrator and author Ron Miller

POSER EXPO 3 : Full Conference Recordings Was $97.00

NOW $79.00

Application : Poser Pro/Poser Presenters : Lisa Buckalew (HiveWire3D), Eric VanDycke (Traveler), Syyd Raven, Mary Williams (Nightsong), Charles Taylor (Nerd3D), Kim Schneider (Arki), Connie Barrett (BadKittehCo), Joseph Dennison (Netherworks), Paolo Ciccone (Reality for Poser) Duration : Over 12 hours of content -Poser Expo3 Keynote : “Community and Collaboration It’s About the Art” -“Making First Impressions with Impact!” -“Using Story to Build Memorable Portraits & Promotional Art” -“Top Secrets of Poser You’d Wished You’d Known Earlier” -“Concept to Content : The Complete Journey of Poser Content Creation” -“Modelling and UV Mapping with Premium Tips and Tricks” -“Rhythm in Rigging” -“Creating Realistic Skin using Reality : Secrets of the SSS Shader” -Poser Expo3 Keynote “Back to the Future : What’s Next for 3D?”

10


EDITOR’S LETTER

WELCOME...

This month we have a focus on the impressive 3D graphics rendered by three different games engines, Avalanche, Bethesda and Unity. We speak to some fervent developers who have each created some striking and immersive environments Game industry growth is phenomenal, with *$9 billion cited alone for the Unity industry in 2012, $13 billion in 2013 and a projected growth to $36 billion in 2017. The new growth is being experienced in mobile gaming. 3D software originally designed for the purposes of illustration and animation are now actively tapping into this market. So for instance Smith Micro have produced Poser Pro Game Dev—which includes the ability to create and customize game-ready 3D characters and has a whole set of game asset creation tools. Who is your average gamer? In 2012, the average age of a gamer was 37 and this dropped to age 30 in 2013 due to a shift in game play going to mobile platforms. The majority of gamers still play on console/PC (**64%) platforms. It may surprise you to know that in the average American home,

about 50% of these will have at least 2 consoles—gaming is interactive, addictive and provides another social network. Hundreds of universities around the world offer degree courses in games programming and design; so it’s becoming an acceptable career choice throughout many societies. Five years or more ago, it took millions of dollars and large teams to bring a project onto an Xbox or Playstation. Nowadays a lone developer or smaller team can gain a worldwide audience due to the indie gaming tools and platforms available—think Unity3D and Steam. Game design is another manifestation of diverse artistic expression—a creative medium exploding with challenging, original and sometimes just plain weird ideas.

PAUL BUSSEY Editor and Conference Director paul@3dartdirect.com

Sources *venturebeat.com **ESA, hosts of E3

FACEBOOK: www.facebook.com/3DArtDirect

11

RSS: www.feeds.feedburner.com/3dArtDirect


3D Art Direct interviews Peter Johansson, the Art Director on theHunter, a free-to-play videogame with 4.5 million registered players. Just how does an artist design 43 square miles of real-time 3d wilderness, and make it convincing enough for experienced real-life hunters to enjoy?

3DAD: Peter, thanks so much for an interview about the amazingly realistic landscapes in the free ’open world’ videogame theHunter. 3d hobbyists and artists are increasingly aware of videogame development, especially as the realtime engines are now coming tantalisingly close to being turned into accessible creative tools for the hobby artist. But could we start, please, by first learning little about how you moved into the videogames industry?

coincidence, or actually, one might just as well call it luck — I was offered a job as a Texture Artist at a small and recently founded studio. At the time I knew practically nothing about game development and had only started working with 3D. It had never occurred to me before that it was something you could actually work with. Also it was only a few months before that I had managed to save enough money to buy my first Wacom tablet and got started with digital painting. As soon as I started working though I learned very fast

PJ: Yes, sure. I’ve been working in the videogames industry since 2000, when — by a

THEHUN 12


PETER JOHANSSON STOCKHOLM, SWEDEN ART DIRECTOR ON THEHUNTER VIDEOGAME

WEB

NTER 13

Picture: Logger’s Point screenshot, one of the game’s first hunting landscapes.


about 3D, as well as 2D, graphics and many different techniques. By the time I worked on my second project, about a year later, I was almost as proficient in working with 3D as with 2D. Since then I’ve worked on many different projects, and held different positions such as 3D Artist, Lead Artist, Concept Artist and Art Director. 3DAD: Learning on the job, that’s something the games industry does well. PJ: Indeed. So that was where I worked before Avalanche, nine years at a studio that eventually grew to be pretty big. But which sadly went bankrupt in 2009, and it was a few months after that when I started working with Avalanche. I’ve been with Avalanche for almost five years now. Time goes really fast, but I guess that’s because I’m still growing creatively and I have a lot of fun at work! 3DAD: Did you have any experience that led you to theHunter, in terms of being an outdoorsman or even a hunter yourself? PJ: Well, now… that’s a point that’s both interesting and funny, because most things

I’ve been working with here I actually had little direct experience of before. I had never worked specifically with vegetation, animals or weapons for first-person games in 3d, and no landscapes like the ones in theHunter either. However, I did have a lot of experience creating large environments from a conceptual point of view. This often involved breaking down ideas and images into smaller components, analyzing the impact of each part on the whole, and then supervising the whole production process. I think few people outside the videogame business understand how technically advanced my everyday job can be. While I am an artist with one foot in 2D and the other in 3D art creation, I also often look at myself as equivalent to an engineer. I often think that’s a better description of myself; an engineer who solves problems using aesthetics rather than mathematics. It’s a very diverse role, in reality, but it has worked out very well for me! 3DAD: And so your current job title is Art Director at Expansive Worlds. Which is part of what I would call an important studio, not

The latest reserve in the game is the Val-des-Bois, inspired by the high summer pastures and forests of the French Alps. The Alpine Ibex goat treads warily among rocky upland cragland, while Brown Bears and Deer roam the dense spruce forests. 14


least because Avalanche owns and develops its own excellent game engine. Important also in the sense that you have a growing team actually using your own great game engine, and developing games with it that are actually fun to play. Readers may have heard the news about the forthcoming Just Cause 3, the next major Avalanche title.

Avalanche also develop the best-selling Just Cause series of adventure games, which uses the same game engine as theHunter.

PJ: Yes, the title is Art Director but I prefer to simply call myself an Artist. It’s interesting that I’m in this job role, because I’ve never had claims on any management position, and the idea of being someone’s boss is kind of scary to me. Today I’m quite comfortable with it, though. Perhaps being an Art Director is a quite natural consequence, as I’m creative as well as a very responsible person. At least that’s how I like to look at myself. I’m also quite careful with what “responsibilities” I take on myself though. Sometimes it’s hard to be one of those who constantly has to come up with answers, plan things out, prioritize, manage and give feedback to others in their work, while at the same time trying to produce something myself. Because that’s still the most important thing. Without doing hands down creative work myself, most other things tends to become less meaningful. I’m only half joking when I say I don’t think that being a “manager” is a real job! /laughs/ 3DAD: Does the office setting help? I imagine the Expansive Worlds office being on

"What we're looking at is a 360-degree world, rendered in real-time using a videogame engine, overlaid with dynamic light, sound and weather. And you can walk anywhere on the terrain, in any direction, for miles..."

Picture: 3D Art Direct test screenshot that we made on medium graphics settings, on a new 2013 Windows PC with only basic ‘integrated’ motherboard graphics power. 15


16

Hemmeldal is a reserve modeled on northern Sweden after a late autumn snowfall. Brown Bear patrol their territories among ice floes and frozen ponds, while Moose and Reindeer prefer to browse among dense thickets. Red Foxes will sometimes be seen.


“If my math is correct, our current hunting reserves combined would cover an area of a little over 43 square miles in real life.�

17


a rugged forested mountaintop somewhere in the wilds of Scandinavia?

close to a really nice nature reserve where I often hike and bike.

PJ: It would be nice to think so, at least regarding Expansive Worlds. Since our main focus so far has been on nature and adventure experiences. However we’re actually very close to the rest of Avalanche Studios and so our team is co-located together with them, at the main office in the central parts of Stockholm. Which is the capital city of Sweden. So, yes, it is in Scandanavia.

3DAD: Looking back, did anything in your childhood or youth spur you in this direction?

3DAD: Ah, well that’s rather good. Stockholm is said to be a very fine city, one of the best. PJ: Well, I actually grew up on a small farm on the countryside. So I never imagined that I would live in the big city as I got older, but I’m quite fine with it by now. And it’s not that Stockholm is that big anyway, and I live very

PJ: As mentioned above I grew up on a small farm managed by my parents among dairy cows and the usual crops. I think that has to be the main inspiration for me when I was a child. Begin surrounded by animals, nature and also a lot of big machines definitely spurred creativity. I started drawing at age six and found huge satisfaction in exploring my imagination through that. Then of course I had drawers filled with the best toy ever, Lego! As I got older this evolved into Lego Technic. When I think about it I can still sit down any day and play with that stuff! /laughs/

18


3DAD: Ah yes, Lego is a good training in ’making in 3d space’. Constrained, yet freeform…

of my life is definitely the impulse to create things, from an artistic as well as an engineering point of view. I can also enjoy just playing with some of all the tools available for create work as well.

PJ: Then during my teens my biggest interest was building scale models with whatever I had lying around. Plastic kits, paper, cardboard, pieces of wood etc. Soon videogames and computers also became a part of the urge to create. Today I’m also quite interested in programming, and while I’m hardly at any professional level I still enjoy making simple games or just solving some small problem using mathematics. I like programming because it helps me get away from the more abstract artist state of mind. Sometimes I really need a break from that. I’ve had numerous other interests over the years, ranging from music to electronics. The pulsing red line that threads through all

3DAD: That all sounds like an excellent combination for someone working creatively with video games. PJ: Definitely! I think that all my different interests have helped me to develop great improvisational skills, which is very valuable in this highly dynamic environment in which I work. I should add that I’ve also found several interests through work where research and creativity can often bring you to places you never knew existed. That’s also one of the pros of working with cutting edge of screen realism the way we — and many

The initial hunting reserve of the game was Whitehart Island, based on Washington State in the USA, an area prone to dramatic weather including wind, rain, and fog. Home to plenty of Deer, and the occasional Coyote and Wild Turkey, it is seen here in a sunrise screenshot by 3D Art Direct with medium graphics settings. Seven further Reserves have since been added. 19


other studios — do. Just working on theHunter has brought me into the field, fishing, archery, camping, hiking and a number of other things. I’ve also thought seriously about getting a licence to hunt in real-life. But today I may skip that as I think I’m just too fond of animals to be able to hunt them for real. 3DAD: Yes, and there’s a surprising amount of technology involved in hunting these days. I heard a BBC radio documentary on it recently. Apparently there’s also been a backlash in America against the overly hi-tech approach and a return by some to the rigours of simpler approaches such as bow hunting. Others have turned to ’hunting with photography’, which would appeal to me. PJ: I know. There are a lot of controversies around technology, as well as philosophy, related to hunting. A few years back I and two other colleagues visited the Eastern Sports And Outdoor Show in Harrisburg in Pennsylvania, USA. It was supposed to be the biggest outdoor and hunting expo in North America,

and we went there to do research for theHunter as well as getting inspired. This was a great experience but I was surprised to realise how much technology there is, as well as how popular the more low-tech bow and also crossbow hunting is. At least in the USA. 3DAD: I see. I think we’re actually going to see some interesting fusions in the next ten years: drones as HD photography and film platforms, even in things like hunting. Eventually one could even photographically ’hunt’ with remote cameras, on drones, from the comfort of an armchair. But that’s in the future. And maybe being airborne would make it all too easy, anyway! Or maybe it just won’t be allowed. I heard recently that all the National Parks in America had banned drones. Oh well, I guess people will have to do it in a videogame instead! /laughs/ But behind these interesting possibilities are a host of philosophical and political questions, of course. PJ: While I am a very progressive and open-

This page, and facing: the shorelines of Whitehart Island, an area based on Washington State in the USA. Both pictures by 3D Art Direct, made in the 2009/10 version of the game. 20


minded person I also think we really need to take better care of ourselves as well as our environment. I believe that our current views and use of technology often tend to create more problems than it actually solves in the longer run. This requires some serious thought though. For my own amusement I read in alternative history, global economics and quantum physics, to better understand our world. Also at the moment and for almost three years back I’m quite heavily into eastern philosophy. 3DAD: Wow, so yes — that all sounds like a perfect combination for making something like theHunter. Which brings us to discussing the game and its amazing 3d landscapes… PJ: Yes, theHunter has been a very special project for me to work on, and for quite some time now as well. I started playing, became a member — the game is free but operates with a subscription membership model — and I found myself incredibly immersed in it for a whole year before I got the opportunity to

21

actually work on it. Back then I was also hired by another studio and didn´t really think about leaving that place. There wasn’t much content for the game either in the beginning. Only one hunting reserve and a handful of animals and equipment. 3DAD: Ah, that was Emote, based in Derby in the English Midlands? Am I right? I remember that they did a part of the early development for theHunter. In fact, that was how I first heard of the game — the local Midlands business press had a newspaper story on them, and I’m also based in the Midlands. At that time I was teaching the history and aesthetics of video games in a university, and writing a local blog on the creative industries. So I was on the lookout for such things. PJ: Emote became a partner. But before that the idea for theHunter was actually originally developed by Avalanche in 2003. Back then it wasn’t even called theHunter, but Scandinavian Hunt. This game was


shelved though, as Avalanche took off with the success of the first Just Cause game. A few years later, when social media and online communities started getting really big, the idea was revived and it evolved into theHunter. Avalanche partnered up with Emote in 2007 to begin exploring new markets, and looked at the free2play genre. Back then there was a lot of talk about free online games combined with the concept of in-game micro-transactions. This spawned the first version of theHunter that was released in early 2009. 3DAD: Yes, I remember writing a long positive review of it back then. PJ: Unfortunately Emote failed with their idea, an attempt at creating a platform for a large online game community utilizing the free2play and micro-transaction business model. theHunter was one of the first games featured for this new type of platform. Despite the demise of Emote, Avalanche saw potential for further investment in theHunter, and subsequently in early 2010 bought all the

rights to it and set up Expansive Worlds to continue developing theHunter and explore the growing market of free2play. I was one of the first people hired at Expansive Worlds. For the first months it was only me and one other programmer working on the game, followed by our previous CEO and a few other people. theHunter hadn’t been on my mind much, when I went for the employment interview with Avalanche. But as it happened I never applied for any specific position and I had no personal contacts at their office. Basically I just stepped in through the door and asked to see somebody! /laughs/ During the job interview I joked about whether they needed any help with theHunter, which I soon realized was exactly what they had in mind all the time. To me it was an incredible coincidence, because as far as I know nobody at Avalanche knew how much I liked theHunter. 3DAD: I guess that’s the sign that we should turn to talking about the game and the amazingly beautiful and interesting landscapes. For readers who are not aware of

22


it, theHunter is a large ’open world’ game. Many game developers talk about games as being ’on rails’, meaning on constrained paths that the player gets shunted down by the gameplay, with no or few opportunities to roam around at will. But theHunter is wide open. It’s one of my favourite games, and not least because it’s free. I guess the best thing for non-gaming readers to do is take a look at some of the screenshots that accompany this interview, and then realise that what they’re looking at is a 360-degree world, rendered in real-time using a videogame engine, overlaid with dynamic sound and weather. Plus highly realistic animated animals! And you can go anywhere on the terrain, in any direction, for miles: there are currently eight Hunting Reserves in theHunter, covering a total of… how many square miles now, in total? PJ: If my math is correct, our current hunting reserves combined would cover an area of a little over 43 square miles in real life. The world map as a whole is 1024 (32 by 32)

Settler Creeks consists of abandoned upland farmland with rotting barns and old walls, surrounded by encroaching forest moving down from the rugged mountains. Cottontail Rabbits and Wild Turkeys abound here. 23

square kilometres, or 636 square miles. In theory we could have only one hunting reserve without any borders, covering all that map space, rather than several smaller ones. But of course there are many practical and technical reasons why we choose to break the world up into smaller pieces. To me the reserves sometimes feel like they are even bigger than they actually are, because the player moves around by foot, and moves very slowly and cautiously most of the time. If you had an vehicle for transport then the game world would probably start to feel much smaller. That’s also one important reason for why we haven’t implemented any vehicles in theHunter. We have discussed this many times in the office, because we know that many players would like to have vehicles in the game. As for myself I think vehicles would throw off important aspects of balance in the gameplay. 3DAD: Yes, I think you’re right on that. Although I do wonder about being parachuted in from an airplane, Just Cause style!


PJ: Things like these also get very complicated as the game is continuously developed. We can’t just improve performance of equipment and suchlike, all the time, because soon there would be nothing left but lasers and robots doing the hunting for you to implement! Also we always have to be very careful to not mess anything up that people have paid good money for and which they actually enjoy in the game. At times I feel like we’re operating a nuclear reactor, and I’m just waiting for it to blow as we push the button on a new release. /laughs/ 3DAD: It must be a very difficult job. Well, on behalf of all occasional unsubscribed players of the game, I’d like to thank you for making all of the Hunting Reserves open to free players. I think that happened back around late summer 2013, and seems to be something that is now set to be offered for a long time to come. So even readers who may be reading this interview a year or so down the line, they

should hopefully find that the situation is the same. They can go an experience the whole set of landscapes, for free. PJ: I’m glad you liked it! It was a move we carefully considered, as everything we do have a direct impact on the business side of things. This is a very hard fact to deal with at times, but risk-taking is part of the package as well — so long as you want to improve! I´m quite happy to say though that most things we’ve done to date have shown positive results. When I think about it I can’t recall a single thing we’ve done that proved to be a complete disaster in the end. /laughs/ 3DAD: Has working on a videogame changed your general approach to creativity? It sounds like there are a lot of constrictions to the work done within a game development studio? PJ: To begin with I have a very pragmatic approach to most things I do, and I trust my ability to improvise as problems pop up. Game

24


development in practice is most often exactly like you say, a jungle of constrictions, and most of them being very technical in nature. It’s funny though, because I’ve realised that I tend to get more creative the more restrictions I have to consider, up to a certain point of course. Perhaps what it means is that they help me focus better on a particular problem, when I know I can’t go too far out while dealing with it. Most often the rules you’re forced to play by create a more reasonably sized playground, so to speak. And as you mix time and money into the equation you end up realizing that you have little time to dream. I love the craft of making games, as it bring most of my particular talents together in one place. I’m not too concerned with what particular project I’m working on, as I’ve done everything from the Hollywood blockbuster style to small indie games by now.

from the developer point of view?

PJ: Developing a game as a continuous service, that’s another dimension which I think I’m experiencing to the fullest here at Expansive Worlds, and while working with theHunter. While all the technical stuff is still the same the general approach to development is now quite different. If you don’t have a ton of money a developer has to start out small, then stay very flexible. Because the market, as well as your audience, is growing and also changing. 3DAD: Yes, the videogames market is changing very fast. It’s very exciting, actually, but difficult to keep up with, as the genres and sub-genres proliferate and change. Game culture is about as intricate and minutely nuanced now as the youth music scene was in the 1980s and 90s. PJ: And this new market complexity brings with it a set of very different problems

3DAD: How has the game changed, I mean

Summer rain squalls and late afternoon Autumn sunlight. This type of real-time weather and sunlight — based on the time-of-day — helps to generate a feeling of immersion in the game’s landscapes.

25


“The community has been a great resource. Real life hunters and adventurers have been indispensable. They can provide us with answers to pretty much anything related to hunting.�

26


compared to the traditional way of developing games. I have had both ups and downs in this process. When I started working with theHunter I was a very different person, both professionally and personally, than I am today and of course that has an impact on the work being done. It’s also been difficult to accept some hard facts along the way, that your audience — on which you depend every day — may not think like you do and may want something completely different. There´s definitely both pros and cons of working like this, with an ever evolving product, which has close feedback from the audience. What I appreciate, though, is that you have little time to be stuck in the past. You have to focus on solving problems in the present, which helps me to grow both professionally and personally. 3DAD: theHunter has been regularly introducing new high-quality landscapes for players: we have the various Reserve Emblems displayed over on the opposite page. As I said earlier, players now have eight available, with a different range of key species in each. Once there’s development approval for a new Reserve, as they’re called, how is the early creative work done? I mean, in terms of setting down the foundations that others will then work on the details of? PJ: It’s hard to describe any exact process, as it vary from time to time with regard to the larger context, which is that all the other aspects of the game are being developed at the same time. But generally, once we know what specific type of landscape we intend to create, I or another artist start doing research on what types of vegetation we want to include. While gathering reference material we also try to narrow things down to the most important trees and plants, etc, to nail the general look and feel of the area. While that is being done I usually draw a general map layout of the area showing major terrain features, points of interest and player starting locations. Once this general 27

blueprint is done, it goes through a revision process where we look for errors and inconsistencies. We also do additional research and synchronize everything with the game designers responsible for the animal populations. The next step is to produce all the individual assets such as trees, grass, rocks and bushes and begin to assemble everything in our advanced game engine. From this point we iterate the set of basic assets, until we think the general idea is nailed down. After that we move onto additional things, such as points of interest and details in the environment layout. We might also add more types of vegetation if we think the basic cover is not enough, or if the general scene need more variation. Through this process we also begin testing things, and make sure we get feedback on the environment as a whole as well as on individual assets. When working toward deadlines you pretty much always have to compromise at some point. We’re pretty hard on ourselves, we usually have to let some things go. Which typically also makes me quite nervous, as I’m supposed to be responsible for everything looking great all the time! But so far I think I’ve managed quite well. 3DAD: And from that level of craft comes the fun. But a craft is only fun when the crafts maker knows what the all the possible angles and ways of ’flowing through’ the work are. Otherwise you’re sort of ’fighting it’ all the way.

PJ: It’s certainly a balance of the two, ideally. In the end I think that one of my particular strengths is that I look at a problem and immediately try to define the technical boundaries, as mentioned above, and then think about what is possible to do within those boundaries. I think this attitude help me to avoid getting bogged down in too many loose ideas and fantasies about what something could be instead of what is realistic to actually achieve. I always aim high


in the beginning, but in the end I try not to compare anything I do to what somebody else have already done, because in reality the conditions is never the same. 3DAD: Talking of realism, theHunter is based on the Avalanche Engine, which some may recall from the fun and best-selling Just Cause series of video games. So is there a procedural element underlying some of the game landscapes, helping to bring realism everywhere and not just to the hand-crafted parts? PJ: There’s actually very few procedural elements in our game engine. Of course the sky and clouds work that way. Also the vegetation, as in the individual trees and plants once created individually, is added to the different types of ground through a system that could perhaps be called procedural. However there is still a lot of ’human hand’ work involved in setting everything up to behave the way you want it to, and the landscapes are sculpted by hand to a large extent. I think it’s easy to believe that a lot of stuff in games today is created procedurally, to a much larger extent than they actually are, as if that would make it easier and quicker. The reality is often the opposite. At the start of a project one is always full of ideas and ambition, then somewhere along the road you start to realise that things are not turning out the way you want. To gain full control over that rowdy creation you typically need to resort to good old sweat and tears, instead of grand visions of the future or having computer code ’do it for you’! /laughs/ 3DAD: Interesting. I won’t ask about the specifics of the 3d workflow or the 3d tools used, since I imagine that those are commercially confidential. But I imagine, also, that the very responsive and faithful player base will help shape the idea, once the basics of a new Reserve landscape is laid out? PJ: Yes. Our community of players have a large influence on our choice of what the next

environments will be. Perhaps nowadays they feel like they had more influence in the past when there was much less players, but we still really try to let their opinions count. As the environments in theHunter are our largest and most expensive assets we like to use survey data to determine where to go with those. It´s not the only variable, but it is a very important one. Historically the community has also been a great resource as they can provide us with quick answers to pretty much anything related to hunting. While we do want to appeal to a wider audience, not only consisting of real life hunters and adventurers, the ones who do have this knowledge have been indispensable. It often hurts to not be able to give these particular people, who sometimes make great contributions, more of what they want. 3DAD: Yes, I’m told that there are certain ways of looking at a landscape that only a hunter would know. I’m reminded of puzzled modern responses to British painters of the Victorian and Edwardian period, who laboured over making paintings of apparently ’empty’ and mundane British landscapes. Today we can’t understand why they would have wanted to enshrine that particular view of what seems like a rather dull landscape. But that’s because we’re mostly not hunters. To a hunter that same landscape view is full of meaning and potential excitement, as the viewer can easily imagine diving into it in pursuit of foxes, pheasants, otters, rabbits, hares, and the like. So the painters were actually portraying a real life game-scape, and expecting the viewer to appreciate how cleverly a covert had been positioned; how elegantly a small wood flanked a meadow; and how there were multiple avenues of escape for the quarry, thus giving them a sporting chance and adding to the excitement of the chase. Of course, British hunting over a terrain inhabited for thousands of years is rather different than the wide open American experience of wilderness hunting. 28


Rougarou Bayou is one of the latest Hunting Reserves in the game. A swampy marsh inspired by areas in Louisiana. USA, and with moody weather and low mists to match. Water Hickory and Bald Cypress trees cluster around shallow water areas, making it a perfect environment for Feral Hogs and Mallard Ducks.

29


Although I must say that theHunter now has an admirable range of different types of terrain. And it certainly seems different to other games, even in its own hunting niche. PJ: Definitely! To me theHunter has always represented, and still does, something quite different to what is seen and experienced in most other games. While I am personally quite bored with the violence and destruction in video games these days, theHunter is still about killing things. But not without certain ethical considerations, such as making a correct shot placement, and tracking wounded animals etc, all of which are important aspects of hunting in real life. To me the game also has a certain amount of educational value. I remembered the first time I played and

thought to myself: how the heck am I supposed to see anything in this mass of leaves?! I quickly realized that this is an aspect of real life that I had never experienced before in a game. And of course, after some practice I did start to see things, and soon it was much easier. This is still what makes me love theHunter. The moment when you see an animal after looking so hard for it. /laughs/ 3DAD: Yes, that first sighting of a tracked animal is always a thrill. I think the game has a great deal to offer, even when played as a ’photograph hunting’ game, by using FRAPS or some of other game screenshot software to snap animals as close as possible. In that regard, I do wish players could hide the UI and have a total view of the world. I would

There are human structures in theHunter landscapes, most prominently the hunting lodges and the electric grid power lines that stride the forests, but there are also rarer structures that help to provide a sense of place. 30


certainly pay $15 a year to hide all interface elements — such as the on-screen hand and its various held objects, and to get really big screenshots, maybe stitched panoramas.

doesn’t rule out future standalone products based on the same framework and even some of the same content.

PJ: I will be really honest here. I don’t think I have ever worked with, or played a game, where screenshots in general look as good as they do from theHunter without too much thought about composition etc. You mention photography. That and numerous other things have been discussions at the studio many times. theHunter really is a potential platform for many different things and while I’m not really against any of it I think caution is still in order. It can’t become too much of a playground, as I think the game could then lose a lot of its integrity. But of course it

31

3DAD: Yes, but even as it is, there is potential for education uses. For instance, a youngster could learn a lot about tracking animals, simply by playing the game. Readers may not be aware of how realistically elusive and skittish the animals in the game are. One smell of you from a hundred yards away, and they run over the hill or into the woods and are gone! There was a hilarious early review of the game, written from the point of view of a frustrated hunter, which plays on that point. So it is quite possible for a beginner to walk around for an hour and not see a single creature. But sadly


I don’t think the schools would ever promote it, even as a tracking and wildlife watching game. Games are generally seen as something that happens outside the classroom — unless it’s a kind of pure science game, or about ethical choices made within certain rather confined political parameters. PJ: Of course it also has to do with markets and the efficient way our economy works. And perhaps many people are inclined to think that entertainment and education won’t blend. I think they definitely do, because having fun is most often also a guarantee for learning — if there’s something there to learn. I believe the combination have enormous potential, especially for kids today that seem to grow even more restless. Of course this is a vast topic but I think one should consider compromising in education. Perhaps a lot of small facts is not so important, as long as you learn about and appreciate the larger context of something and know how to find and evaluate the smaller facts when you need them. So the child would find it easier and joyful to go further into a subject if it interested them or because it was useful for them. As for myself I regret that my math class did not teaching me how to actually apply it to something in reality, other than the introductory infant level of ’counting fruit at the store’. There are of course a ton of different simulators and educational games out there, but none of them utilise the stateof-the-art technology that exists for pure entertainment. Which is what most people want and expect, especially kids. I think this is also part of what makes theHunter what it is. While other hunting games may be highly realistic from a gameplay point of view, most of them don’t even come close to theHunter in terms of visual complexity, which is just as important I think for the sake of immersion and fun in the longer run. 3DAD: Yes, the others I have seen look like jokes, compared to theHunter. I only saw screenshots and video, but… I laughed.

PJ: Well, other hunting games may still have their particular qualities that people enjoy. As mentioned above, I think it’s definitely the more advanced environment technology that Avalanche Studios has provided that sets it apart. Without that I don’t think that theHunter would be what it is compared to other games in the same genre. But of course, today I also look at the sheer amount of content available within the game as something quite unique for a hunting game. 3DAD: That’s true. It’s perhaps similar to the 3d hobbyist scene: Poser may not be the best 3d rendering software in the world, may not be the easiest to learn, but it has a vast ocean of quality content at low prices. But we haven’t yet talked about all the ’living’ elements of the landscapes in theHunter. 3d artists using the likes of the Vue software for 3d landscapes are used to making static images, but stepping into the theHunter can be rather like seeing Vue scenes come alive. There are highly realistic animals walking around, weather and wind, time passing by, and then all the audio as well that helps to deepen immersion. As Art Director I presume you also have input into those elements too? PJ: Yes of course. I plan, prioritise and direct the work being done by our 3d artists. I’ve actually made several animals and a bunch of equipment myself. I also work a lot with our game designer, trying to make form and function harmonise all the time. While I’ve been Art Director for my entire time at Expansive Worlds, in reality I have also pretty much only art directed myself /laughs/. It’s not until quite recently that the studio has grown to the point where there is a more substantial team of artists to work with. 3DAD: Do you ever consider the emotional texture of the experience of being in a landscape? Or in a certain type of weather? Perhaps in terms of how the sublime is known to work its effects in art? John Szarkowski once said that the great breakthrough that Ansel Adams — the famous 32


Val-de-Bois and Hemmendal (below) are two of the newer mountainous reserves in the game. The upper reaches can be especially dramatic.

33


American wilderness photographer of the 1930s and 40s — made was learning to photograph ’landscape as weather’, and then to use that technique to help express the emotions he was feeling when he was considering some sublime and vast stretch of wild land. Although... I guess that would be difficult to engineer into a game! PJ: I know what you mean. Perhaps these things don’t play a major part in the development today, as the daytime cycle, overall lighting and weather and suchlike are all quite well defined. But I do keep it in mind whenever we add new things. How it affects immersion, and what can improve or break it and all that. I’ve learned so much from past experience with theHunter and always aim to improve quality. But when doing so one also has to ask important questions around the fact that that this game is, at least as far as we know at the moment, a service that is being developed indefinitely. Therefore: what is the actual improvement we are adding? What impact does something new have on the old, and on something that is perhaps very established in the minds of a growing number of players. That’s a tough one in actual reality! 3DAD: Peter, thanks you very much. We wish you and theHunter success in the future. PJ: Thank you! This is actually the first really serious interview that I’ve ever done, since I started working with games. For some reason it has never happened before. I’m not very active in any social media and doing promotion and video interviews scare the life out of me. This type of interview is great though, as I like to go slow and get more in detail when talking about my work.

theHunter is online at: http://www.thehunter.com http://www.thehunterwiki.com/

3DAD: We’re only too happy to oblige.

Developers and owners:

Peter Johansson is online at:

http://www.expansiveworlds.com

http://www.artbypeterj.com

http://www.avalanchestudios.com

34


For new free players, the quickest way to setup and configure theHunter is as follows:

installed game Launcher.

1. First visit the website, sign up, set up a name and player profile. 2. Download the small initial setup .exe for the game. Run it.

7. While in the Launcher, also access Inventory and switch to Accessories. Then equip (drop) binoculars and camera into spare slots. Note you can’t swop out your equipment after you set out from camp, so get your game Inventory sorted out at the start. Binoculars will allow you to zoom in. The camera gives small pictures, but larger screenshots can be had via the third-party FRAPS screenshot tool.

3. This setup stub will install a launcher, which will then start a torrent to get the full 2Gb+ game download. This main download may take a while. Now would be a good time to cook a meal! 4. The game will then auto install, after the torrent has finished downloading.

8. Once you're in the game, press the Inventory slot number to ‘equip’ the item you want on the screen.

5. Close everything out, then visit the website again. Sign in, then select your Hunting Reserve. Free players also get a time-of-day choice. 7am is good for sunrises. 6. Then look for the “Hunt Now” button on the website. This launches (again) your new desktop-

6. In the Launcher, first set your screen resolution and graphics quality. You can’t set resolution and graphics quality inside the game itself.

35

You’ll need a live Internet connection, as the game occasionally pings your statistics and achievements to the official website, and checks that you are not cheating. You’ll also need a gaming graphics card or equivalent on-board graphics power in your PC.


“Wow, theHunter would be awesome with dinosaurs!” is a common suggestion among the game’s fans. Well, 3D Art Direct can reveal that theHunter: Primal is to be released very soon as a standalone PC game, with dinosaurs! A small breakout team of interns from The Game Assembly school (Sweden) and developers from Expansive Worlds and Avalanche Studios have been working away on a side-project with the Avalanche Engine. The aim has been to create an all-new standalone hunting experience in a Jurassic era landscape, building on the world of theHunter. It'll still be theHunter. But... Angrier. Hungrier. And the beasts might just turn around and start hunting you! The first playable version of theHunter: Primal will be released on Steam before Christmas, as a probable price of 200 Swedish Krona (about £17 or $27). The new standalone game will be a little more fast paced, with focus on survival and exploration, and of course — dinosaur hunting. Including the famous T-Rex. Discoveries and content made in Primal will feed back into the main theHunter game, such as new HQ player models, better sounds, intra-species communication and interaction, and better attack animations. 36


The main preview screenshot is available at medium resolution only. The released Primal game will have the same high graphics quality as theHunter. 37


Available now, as part of your 3D Art Direct Membership!

SUBSCRIPTION AND BACK ISSUE ACCESS Get the NEXT 12 issues | Full access to every Premium Online Magazine published Over 100 in-depth interviews | Browse 1,200 pages with vibrant galleries Download the PDF files | Bonus content!

$35

Annual Subscription: Cancel at any time http://3dartdirect.com/

38


39


UNIQUE LAN

3D Art Direct talks with Arthmoor about the ’Unique Landscapes’, a series of free mods for Elder Scrolls: Oblivion, the videogame that sits between Morrowind and Skyrim. Before the well-known PC videogame Elder Scrolls: Skyrim (2011), there was Elder Scrolls: Oblivion (2006). The developer of this well loved series, Bethesda, has always strongly encouraged ‘modders’ to make ‘mods’ for the games — free modification files that alter some part of the game during play. A small army of such modders first emerged around the famous Elder Scrolls: Morrowind game, encouraged by

the official release of a free and fully-featured game world editor. Then an even larger army of modders emerged for its sequel Oblivion, servicing a huge fan base that have (in some cases) generated 2 million downloads for a single mod. There is now a legacy of 27,000 mods for Oblivion on the TESNexus website. Among the most acclaimed of these were the large series titled ‘Unique Landscapes’, which 40


NDSCAPES

ARTHMOOR LEADING GAME MODDER FOR OBLIVION AND SKYRIM

WEB

41

Screenshot is from The Dark Forest Unique Landscapes mod, made by Addiktive. Located south of the Imperial City, here dark twisted trees and plantlife combine with unique creatures and glowing ‘will-o-the-wisp’ ambiences. The two hand-made places in the Dark Forest are overlaid by an even darker back-story, complemented by spritely supernatural creatures — whose fey natures become meaner and more feral as night falls. There are also even more unique enchanted and beautiful creatures here, but they are guarded by fearsome forces...


seamlessly integrated new hand-crafted landscapes all over the game. 3D Art Direct though it was fitting, for our special themed issue on game landscapes, to track down Arthmoor of Unique Landscapes, for a retrospective interview on this substantial and much loved achievement in interactive fan art. 3DAD: Arthmoor, welcome, we’re so glad we could get in touch with you and have you agree to an interview. I’ve been a Morrowind fan for a long time, and played many hours in Oblivion, both heavily modded. You are the current head of the Unique Landscapes

Council, along with Vorians? And you also moderate several official Unique Landscapes (UL) threads on online forums? Arthmoor: Thanks for having me, and giving me this opportunity. Vorians is in more of a lead role these days. I am a co-lead for the UL Council, but I've largely moved on to Skyrim modding and other projects. So Vorians is currently maintaining the project itself, and keeping the forum threads running. 3DAD: I see. So let me start by asking: why was the UL project needed for Oblivion?

42


Arthmoor: The landscape Cyrodiil — the Imperial Province — in Oblivion, while good in its own right, suffered from an awful lot of repetitiveness over quite large areas of the map. So it was broadly decided to start a project to address this and liven up the environment. 3DAD: How are Oblivion PC players, with a full load of UL mods installed, going to experience the game differently? How radical will the change be for them from ‘plain vanilla’ Oblivion?

Arthmoor: 'Plain vanilla' is basically just that. The term is largely born from the fact that a lot of areas are relatively bland and which have no real uniqueness compared with other similar areas. People who install and play the UL mods will almost immediately notice that many areas now have a much more unique atmosphere to them, and also that these mods look like they were meant to be there. 3DAD: I can vouch for that. The UL mods make the landscapes much more interesting. Could we talk about the genesis of the UL project in 2006, with the “Unique Forests”

Looking down the Entius Gorge just before dawn, from the entrance chasm. The Entius Gorge Unique Landscape was created by Phitt and was released in 2006.

43


Part of the Fallenleaf Everglade landscape, made by Aberneth, seen at night. 44


mod? Obviously a lot of modders must have come over to the new game from Morrowind, just as the modders on Oblivion later moved on to the blockbuster follow-on that was and is Skyrim. Can you point to any names or early UL mods and say: “they were the ones who started the ball rolling”? Addiktive, in New Zealand, was the Founder I think? With “Unique Forests”? Arthmoor: From what I am aware of, Addiktive and Aberneth were the two main people who got the project started with the first batch of newly landscaped areas. Addiktive was the original founder of the project, but he had already retired by the time I came aboard. Cthulhu314 was in charge of managing the council and the releases for the project, back when I first joined up to work on Brena River. There isn't any one person you can really point to though and say “they're the one, they're why this is here”. A lot of folks have contributed to it over the years, each one building one or two outstanding areas to add to the whole ensemble. 3DAD: What led you to become involved in the scene? Arthmoor: I've been involved with computer related stuff for quite a long time. I got my start back in the good ol' days of the Commodore 64. I tinkered with a few things in BASIC, and wrote my own application for keeping track of high scores achieved in the games I played. It wasn't long before I realized my love of RPGs and got a copy of The Bard's Tale. I played the entire Ultima series, though not all were finished. And of course my all-time favorites, the games of The Elder Scrolls series. Howerer my early modding began when I became an "immortal" in a MUD called Crystal Shard. MUDs are basically text versions of modern massive multiplayer online games, and have been around for at least 30 years. "Immortals" were the ones who actually run the MUD game as opposed to playing it. I built several 45

areas there, during my stay. Then the evils of Internet psychodrama and personal politics brought the place down, so I and some friends opened our own MUD. We and spent a little over 10 years working on it, and through that I developed a decent understanding of working with C/C++ coding. Nothing that you might call professional, but certainly enough to know how to debug things when they blew up. Enough to have written a number of "snippets", analogous to game mods, that other MUD administrators could then use in their own games. I also learned some PHP at that time. So it's a natural fit that I should then become interested in The Elder Scrolls modding. I got my start with a couple of simple things for Elder Scrolls: Morrowind. A set of merchants who had enough gold to buy high-value things you'd loot — no matter what the value. A set of transportation agents who travelled a circuit around the Ashlander camps, because it made no sense that you'd be forced to walk that much distance in the wilds to get to all the camps. And of course a completely over-the-top failed attempt to do a massive conversion of the MUD world "Dwip" as a Morrowind mod. We barely got past a few experiments before realizing we were in way over our heads! Elder Scrolls:Oblivion of course is a whole other animal. I've managed to become involved with a number of things there, since taking a serious interest in the game. I had of course already played the entire game through, twice, and used a few mods, before deciding I wanted to start fixing up my favorite: Open Cities. And I think the rest is history. 3DAD: There were nine UL’s for Oblivion by the end of 2006. Do you have any knowledge of how the process of scaling up the project go? And what sort of quality-control rules were put in place? Obviously, if you have potentially 300,000 people or more playing an UL mod, then I expected the Council needed to keep a certain level of quality


Mists near a waterfall chasm, in the Entius Gorge at night. The Entius Gorge Unique Landscape was created by Phitt and released in 2006. 46


A lower river cascade, part of Brena River Ravine, a Unique Landscape by Chuck21, IAmTheEmperor and Arthmoor. Released in 2009. 47


assurance. Certainly, I hear people say things like: “every single UL is a vital mod that I wouldn’t play without”. So obviously the quality stayed high. Arthmoor: The project sort of scaled itself up, as time went on. Once more and more areas were completed, more new ones were started. In the end, it grew organically, but at the same time not without a plan for how to make it all fit together. There is a master map for the project, which lays out exactly where each idea was intended to go. Each UL mod had to be planned out to avoid compatibility issues with the others near them. In addition, each one was put through a Quality Assurance

process to make sure they all met the high standards of the project. I believe it's this cohesive plan, and also the attention to detail, that has led the entire series to be regarded as mods people just won't play Oblivion without. 3DAD: Each UL mod was made by an individual, creating a hand crafted landscape and game experience. I’m guessing that what starts to happen is that a new landscape type is suggested by the nature of an available ‘gap’ in the landscape, and by how a new UL area could be blended naturally with the official Bethesda area around it? How much time do you think went into making and

48


tweaking a substantial UL, once that initial ‘gap’ was spotted and approved for development by the UL Council? Arthmoor: The average project length from initial planning to final completion averages about 18 months. It can happen faster with a sufficiently motivated individual, or can last much longer in the case of larger ones, or with the projects that are being worked on in someone's spare time. The 'gaps', such as they are, were identified early. For the most part the submissions have followed that original plan laid out on the master map. Sometimes though, a project is just too good to let pass by, and so it gets approved even if

it wasn't the original intent for a particular area. So long as there is regular progress and it fits in with the project's goals, most ideas don't have a problem being approved. 3DAD: And what about a more subtle and psychological planning, for the player mood in a landscape? Some of the places such as Addiktive’s famous Dark Forest UL seem to have a lot of that sort of subtler thought put into it. That’s perhaps helped by the fact that the Dark Forest landscape has what is in effect a new story inside it. I seem to remember that Dark Forest was ported over from a Morrowind mod, or am I mis-remembering? Arthmoor: I wasn't around when Dark Forest

A ruin very near the banks of the Panther River. Panther River was made by Trollf and released in 2010. 49


was put together so I unfortunately don't know the details on what the planning was for that. The results are obvious though — exposing at least some of the dark side of Tamriel we all know exists but don't tend to talk about. The mod’s mood there is definitely one of foreboding, and yet fits in with the series lore very well. I'm honestly not sure if The Dark Forest was ported over from a Morrowind idea or not, but that's certainly possible.

3DAD: So there was no requirement on the UL modders to match the ‘warmth’ of Oblivion for the PC? I mean that the game had a quite emotionally moving landscape already, somewhat like stepping into a fairy tale — and different when compared to the weirdly dreamworld feel of Morrowind, or the generally less colourful and gritty world of Skyrim. Or was the mood of a landscape just down to the aesthetic taste and personality of the maker?

The Elder Scrolls is a series of role-playing open world fantasy videogames, developed and published by Bethesda. The series first became hugely popular on the PC with the groundbreaking masterpiece Morrowind (2002-03). This was followed by Oblivion (2006-07), and then the blockbuster game Skyrim (2011-13). Bethesda leads the industry in its open engagment with its creative fans. The company fully embraced the modding culture, by including with its games a full free copy of its Elder Scrolls Construction Set development software. The Construction Set lets modders change almost any part of the game, or even create a ‘Total Conversion’, meaning a new game world running on the Bethesda game engine. 50


Arthmoor: For the most part, no, it wasn't strictly required that any UL mod stick closely to the established mood. In my opinion though, they all did, even if some of them may not seem like it at first. All of the projects members have a deep appreciation for series lore and I think each one of their mods reflects this. 3DAD: Did UL get feedback from Bethesda?

Arthmoor: I don't recall if anyone specifically got any feedback directly from the company that made the game. Several of the mods were given mentions on the Bethesda Blog though, which is always a nice thing to see. As a company, Bethesda has always been very supportive of the people who mod their games and it's one of the reasons their games are still big sellers long past the point where others would be forgotten on a shelf,

The Colovian Highlands are high uplands with sandy canyons filled with stunted shrubs, strange wind-carved rock arches and natural rock cave-houses. Colovian Highlands was released in 2009 by Malach. 51


or bit-rotting in a Steam library.

3DAD: That’s very true, they’ve always been very fan-friendly. Did any of the UL developers move into professional work as a direct result of what they did on their UL? Arthmoor: I'm not aware of any UL project

Blackwood Forest is at the far southern tip of the Imperial Province, below Layawiin. It has a large forest that runs down into a wide region of moist ground filled with small creeks, streams and pools, where the sea is slowly encroaching on the forgotten ruins of an ancient kingdom. Blackwood Forest was published by Roobsi in 2009.

members who went on to become professional game developers or level designers and suchlike, as a direct result of their work on these mods. It has been a somewhat regular thing though in recent years that modders in general are being tapped more and more for positions in game companies, both large and

52


small. So I would not be surprised at all if some of them had.

people have downloaded that bundle so far, which shows how popular and well loved the mods are. Have you broadly achieved what you intended, bar a few compatibility tweaks and the three unfinished UL mods?

3DAD: There were about 28 major UL mods made in total, before the end of 2013. People can now download them all in one handy bundle as ‘Unique Landscapes Compilation’. Nearly a quarter of million

Arthmoor: I believe the project has largely achieved what it set out to, yes. Though

Our ‘bare basics’ guide to installing Elder Scrolls: Oblivion for running mods Have 15Gb of free space on your PC hard-drive. There's far more to installing and running Oblivion with mods, but these steps give you the bare basics of a quick install: 1. Install Oblivion from the DVD, then the 1.2.0416 patch, then the Unofficial Oblivion Patch, and then the QTP3 UOP350 Compatibility Patch. 2. Install your preferred Oblivion Mod Manager, and then tell Windows to always open OMOD mod files with it. This will save you time and effort in installing mods. 3. Install the Unique Landscapes OMOD via the handy single installer OMOD package. 4. Install Qarl’s Texture Pack 3 – Redimized (1.3Gb) and then the patch for it. This pack gives the game highly optimized hi-res textures, similar to the originals. 5. Then install Detailed Terrain (intelligent seam-blending between textures) and the Detailed Terrain: Unique Landscapes pack. 6. Finally install the LowPolyGrass OMOD mod. This gives you faster frame-rates by using slightly reducedpolygon grass models.

53

7. Activate the installed mods in your Mod Manager.


One of the higher river cascades located along the Brena River Ravine, a Unique Landscape made by Chuck21, IAmTheEmperor and Arthmoor. Released in 2009.

54


obviously it's still active and there is more work being done. I think the most ambitious works are yet to come too, especially with the huge River Strid project that's still in the works. Compatibility patching is a process that will likely never end, and is as much a part of the project as the UL mods themselves. After all, we want people to be able to enjoy them alongside their other favorite mods too. 3DAD: As a veteran Elder Scrolls mod developer, could you outline how one would go about creating a UL landscape for Oblivion or Skyrim, from start to finish? Obviously Bethesda helped enormously by freely shipping the free Construction Set right along with the game, albeit that the CS is always a work-in-progress tool. But what was the accepted workflow for a new landscape? Arthmoor: The first part is that there be some kind of plan. The master map gives some idea of what we'd like to see in an area, but the details need to be laid out by the individual. So the first part of being considered is to come up with some sort of rough outline of what you want to accomplish. It need not be in a great deal of detail, but enough to know that the person has put some thought into it first. Second is getting the actual space approved. Once we have an outline, then the map is updated to reflect that there is now a work in progress for a particular section. This lays out the size and shape of the area they'll be working in. After that, it's largely up to the individual how the details get done. They're pretty free to sculpt landscape as they see fit, add villages, ruins, little hidden surprises, and even story quests. This is obviously the part that takes the longest since, even with a robust toolset like Bethesda provides, it takes a long time to do the work on dozens of game cells. Once all the major work is done, then it's submitted for review and refinement to the Council. This is where any bugs are addressed, cells trimmed if they strayed too

55

close to the borders, and where any potential compatibility issues are identified. 3DAD: Have you ever found a little jokes or in-jokes among the UL landscapes? If it was me I’d be inclined to have a little faun statue that looked like Ken Rolston (lead game designer on Morrowind), tucked away in a hidden grove somewhere! Arthmoor: Well, yes, there are a few little things to be found in several of the mods that would fit that, but it would be spoiling things to reveal those rather than letting the players find them and have that joy for themselves! 3DAD: Were there any great ideas and planning for UL areas, that were never used? Arthmoor: There have been several ideas which were proposed but never made it out of the initial approval stages. Usually due to the person not following up on the idea. Most of them are older plans from when the project was young so there aren't always a lot of details left. That said, two of the current works in progress are rearrangements of older ideas — Gold Coast Farmlands and Niben Barnyards. 3DAD: What have been your specific favourite moments while travelling among the UL landscapes, in terms of being moved or feeling awe? Or perhaps those times when you were amid some unexpected interaction between the landscape, the weather, and animals or NPCs? Arthmoor: I think the biggest moment that struck me that way was when I first turned to look out over the bridge into Entius Gorge. I hadn't realized just how stunning that was until I saw it first hand in the game. I'm also pretty partial to seeing the waterfall in the Brena River Ravine mod, which was a mod I helped bring to completion. But there are so many great views to be had though that it almost doesn't seem fair picking just one! 3DAD: The Unique Landscapes project


Top: The Heath: Wetland, a small marshland area of pools and rare marsh-flowers amid low tussocks. The Heath was released by Phitt in 2009. Middle: Beachside fishing village in the Beaches of Cyrodiil: Cliffs of Anvil by Aberneth, released 2008. Bottom: On the icy wastes of the Jerall Glacier, released by GrandDukeAdense in 2011.

56


currently has three unfinished UL landscape in progress. Are those mods headed for a release at some point, or have those people gone over to modding for Skyrim? Arthmoor: I believe the three outstanding UL projects will eventually see completion. The two UL farm mods are being done by M Hahn, who is currently a very active member of the Oblivion community. The River Strid UL mod will likely take longer, but I'm confident Carel will be able to pull it off. That's one of our longest running projects but each time we get some news from it, it's always excellent. 3DAD: Are there other non-UL Oblivion mods that you consider equal, in “wow! new landscape!” terms, to some of the UL team’s landscapes? Some of what the Nehrim team achieved, for instance? Perhaps the major “Lost Spires” story mod?

project is doing in other provinces. Things of this huge scale were not that common for Oblivion, so it appears as though modders have evolved to bigger and better projects right along with the scaling up of the game itself. 3DAD: What’s next for you, creatively? Arthmoor: I am currently doing programming, Quality Assurance, and some level design for the Windows PC game Witanlore: Dreamtime. This is the first game in a series we're doing over at Druid Gameworks using the Unreal 4 Engine. We're looking to bring our own take on RPGs to market soon. Indie game development is something I see as the next big jump for modders in general, now that the tools for making high quality games are reaching price points more people can afford. As far as Skyrim and other games in the Elder Scrolls series, I have projects in the works, but none are far enough along to tease, other than Keld-Nar. Folks who followed my Oblivion villages mods should have an idea of what to expect when that's done.

Arthmoor: In terms of uniqueness, the Nehrim total conversion mod is hard to beat. I loved every minute of exploring their world, even though it was all voiced in German. The quality was excellent and pushed the Oblivion game engine to new levels a lot of people honestly didn't think it was capable of. 3DAD: Arthmoor, thanks very much. 3DAD: I’ve been away from Skyrim for 18 months or more now, which I played heavily modded. As far I can remember there were no Unique Landscapes mods for that game, at least at that time. What would you say are now the closest Skyrim mods to UL, the closest in tone and scope to the UL series?

Arthmoor: Thank you for the opportunity.

Arthmoor: I'm not aware of any large scale remodelling projects for the mainland of Skyrim. As far as I've been able to tell, many people feel Bethesda did an absolutely fantastic job on Skyrim’s landscaping and so there hasn't been a big push from anyone to try and overhaul it to anywhere near the same level. Instead, what you're finding with Skyrim are ambitious whole worldspace projects like Falskaar, Wyrmstooth, Isgaard, and all of the work the Beyond Skyrim

Unique Landscapes mods:

57

Unique Landscapes mod FAQ: http://www.oblivionmodwiki.com/ index.php/Unique_Landscapes http://www.nexusmods.com/ oblivion/mods/19370/ The Elder Scrolls IV: Oblivion can usually be picked up used in PC disc form for around $6 inc. shipping. It has no ‘limited installs’ protection as newer games do, so can be purchased used. Purchase on disc, rather than Steam, is preferable for modding.


RICHARD

WHITELOCK 3D Art Direct

RICHARD WHITELOCK ENGLAND, UK GAME DEVELOPER FOR THE UNITY ENGINE

WEB

chats with the UK indie videogame developer Richard Whitelock, about pairing the Unity engine with art aesthetics for his forthcoming landscape game.

Richard Whitelock is a British videogame developer, digital artist & photographer from Oxfordshire. He studied computer animation at the UK National Centre for Computer Animation (NCCA) and has spent over 14 years in the videogames industry, working in a variety of senior art roles on over 19 titles. He has been particularly involved in lighting & special FX. He is currently collaborating with Mode7 games on “Frozen Cortex” and working on his solo projects. 3DAD: Richard, welcome. Let’s first talk about your forthcoming “Into this Wylde Abyss”. It’s a videogame that will feature an implacably hostile environment, in which the warmth of fire is the main goal of the player. Judging by the wonderful screenshots it seems to be very minimalist and also quite 58


stylised in its looks. Would you call it an ‘art game’, a ‘meditative game’, or is it more of a prototype for a larger and more elaborate ‘survival’ style game? RW: Actually, something of a combination of those three approaches — with a leaning towards art and atmosphere. The survival aspect isn’t a central focus in the gameplay. For instance, there is no crafting, no combining two things to make a new thing — just the search for basic heat and shelter. I am uncertain just how harsh the demand for this activity should be, to stay alive in the gameworld. I begin to think that game mechanics — particularly tense, rapid paced or stressful ones — can distract from atmosphere and mood, by way of shifting the player’s attention. 3DAD: That’s certainly so in the start of many games, especially for those who are not hardened games who plough through four games a month. RW: And I want “Into this Wylde Abyss” to be a fairly short, compact experience. So I have to find a balance whereby the mechanics, however simple they end up being, encourage exploration and involvement in the world.

is always Grand Theft Auto — I have never finished one, but I have spent many hours simply roaming around. I also loved the locations in Bioshock Infinite and happily played through it on ‘Easy’, just so I would get through the combat faster and back into wandering the locations. The release and subsequent success of Dear Esther, Proteus and others like them convinced me that many people feel the same way I do and I would love to make something for them. That’s what I am attempting with “Into This Wylde Abyss”. 3DAD: For our readers who may be unfamiliar with the current wide range of indie game types, could you say specific trends in current games that have influenced your new game? RW: Minimalism, exploration, a strong sense of atmosphere and the sublime. 3DAD: And there’s a game you’re involved with called “Frozen Cortex”, is any of that being built on by the “Into This Wylde Abyss”project?

3DAD: What other games have inspired you to make this new game? Both in terms of survival games, and also landscape games. For the latter, the major Sony showcase Playstation games which foregrounded the landscape environments — from Eco to Shadow of the Colossus, from Flower and Journey and beyond — spring to mind.

RW: I have been collaborating with Mode 7 to create the artwork and style for “Frozen Cortex”. This and an earlier project are very different games to my own projects. It’s great working in concert with Ian Hardingham’s extremely focused design and Paul KilduffTaylor’s world building, writing and music, then finding a meeting point for the art. The engine of choice for Mode 7 is Torque 3D. It’s not a well known engine or as fully featured as Unity, but it finds much favour with coders given that it is fully open source.

RW: I have found that I often play a game just to explore the environment. I am always drawn to the world, and yet I often found myself frustrated when the mechanics of playing intrude on that. The classic example

3DAD: Thanks. Let’s step back into history a bit further. Where did you learn to code, and develop and ambition to make games? That’s a thing that’s quite difficult to inculcate in British schools these days, although coding

59


has just been reintroduced to our state schools this September, after having been more or less dropped in the Labour Party years. RW: I really began to code at age 16 while at college doing a course in Computer Studies. Languages like Pascal at first, then C, C++ and a little assembly and COBOL. At the very same time I was also doing ALevel Fine Art studies at a night class. 3DAD: Coding and fine art, an excellent combination. RW: These then combined with my interests in videogames and movie special FX, to lead me to a degree in Computer Animation at the UK’s National Center for Computer Animation (NCCA) in Bournemouth, which is a sedate large town by the sea, on the English south coast. I enjoyed the course’s fusion of both artistic and technical aspects — pratical art theory, practice and animation lessons along with programming and mathematics of computer graphics. I came realise, though, that my preference and ability leaned towards the art side. So when I started in the games industry — luckily when it was booming around the PS2-era — it was as an Environment Artist. As the years have passed I have seen game engines and coding become increasingly accessible — so when I began experimenting with Unity I started to dig up all those dormant old coding skills. I’m not a very good programmer — but that happens to be good enough, now! If I need help I can ask or search online, and if I need specific tools chances are I can buy them on the Unity asset store. Like anything else in computer graphics or games development it is a constant learning process. 3DAD: That’s interesting. Yes, I’m kind of the same with javascript. I can’t write it raw, but I can hack and tweak it given enough hours and some online research and copy/paste. So creatively, in your formative years, what were your aesthetic inspirations? And perhaps also philosophical inspirations? I’m thinking the sense of awe and sublimity in the landscape, which can be traced from the early Romantics, Dore and other engravers, through to Ansel Adams and the use of ‘landscapes of awe’ in modern cinema.

60


RW: There was a strong early influence from classical Japanese art, actually. At the previously mentioned art night class I worked on a study of Japanese ukiyoe woodblock prints. Essentially filling a large sketchbook with ink based copies of famous works and writing about them. I was drawn to Hiroshige as many are — particularly the way he represented place, weather and lighting via lines and ink gradations. Then next big influence was practicing photography itself. I dabbled in it before, but it wasn’t until I was working at a studio that digital cameras started to become widely available. Once I had one I realised how important it was, I knew that I should practice it and so refine and sharpen my attentiveness to lighting and environmental composition. Becoming increasingly interested in photography often draws one towards the old tradition of painters, who took the same attitude to their landscapes, studies and figures. Dore, yes, is always striking to me because of the extremely dramatic usage of light. I certainly enjoy cinema, but I can’t say that it is as directly inspirational as other mediums. There was and perhaps still is a strong trend towards making games ‘cinematic’ with extended cut-scenes and scripted events — I don’t think that the strength of games as a medium lie in that direction. 3DAD: Yes, some of the most interesting moments in games are ‘emergent’, in combination with the skin of meaning that the player’s imagination has constructed around a slim skeleton of facts. RW: Whatever it is that makes cinema feel aweinspiring, or tinged with atmosphere must relate to all art mediums (which is quite likely be rooted in: the viewer). So I think games can explore that, in their own unique way, rather than trying to “square the circle” by applying cinematic conventions to interactive, dynamic worlds. 3DAD: We recently had an H.P. Lovecraft special issue. Is there any inspiration from Lovecaft’s famous Antarctica novelette “At The Mountains of Madness”? I also wonder if a literary element might be overlaid on such a game landscape, or would that wrongly mis-direct and confine the

61


player’s imagination?

RW: I am under-read on Lovecraft, but conversations with friends about the themes of his work reminds me that I should remedy that. 3DAD: He’s probably best read in audio books, for enjoyment. Wayne June is an especially good reader of Lovecraft’s major works. RW: However if there is a literary element that is drawn from for “Into This Wylde Abyss” then it is Book Two of Milton’s Paradise Lost. 3DAD: Interesting. Milton was an influence on Lovecraft too. Also via the Dore illustrations for

Paradise Lost. RW: Milton’s text resonates with the ambience of a vast world and the events within it. It’s a powerful and reliable source to dip into for inspiration — which it has been since the earliest versions of “Wylde Abyss”. It may or may not end up referencing it directly, but I don’t see how I could make the game without keeping Paradise Lost readily available for ideas.

3DAD: Let’s talk more specifically about the mechanics of being in the game world. How are you setting about deepening the player immersion in the game world? RW: I am experimenting and iterating on ways in which in which a player can be involved in their landscape and environment, while still having enough remaining ‘attention space’ to enjoy it. There are some real complexities here in attempting to manage player states-of-mind. Almost in the same way the eye of an observer of art or photography is guided or drawn around the canvas, via compositional elements and relative contrasts. In the context of a game world we use the same visual techniques, but we also have to consider motivations, ‘objectives’, gates and paths. I want there to be things to do, but not busywork. 3DAD: Brilliant. So... no “go and get me the skins of six Abominable Snowmen” quests!

/laughter/ 62


RW: Well, I want there to be some external pressure, a ‘gravity’ that drives the player onwards but with areas for respite and breathing space. The second real trick is to marry all this with a sense-of-place and story. So if the player finds items, what are the rewards? How does the game world respond to actions performed on those items (to burn or not?). What do they imply or directly convey about the narrative? 3DAD: Yes, the common approach might be “Oh, I found an explorer’s notebook that’s been frozen in the ice for a century”, and then you sit and read for 30 minutes and get the backstory of that place. More interesting would be subtler and more Lovecraftian hints. Passing shadows of a strange shape. Weird audio cues. Uncanny fossils eroding out of a cliff. Which maybe leads me to ask: what does Unity not yet do, that it should, for art games? I’m thinking the lighting/shadows? RW: Well, lighting is a mildly frustrating area. For games which require ‘baked’ lighting only I am confident that the Unity engine is extremely capable, and is really just waiting for a game of significant production value to show that capability at its best.

“At this point I have just completed a hand sculpted landscape for the entire “Wylde Abyss” game. About 62 square miles in total.”

3DAD: For our readers who are not gamers, ‘baking’ means that the game developer precalculates some of the complex maths elements of a setting, elements that even a powerful gaming PC is likely to choke on. RW: Internally, Unity is currently using the Beast lighting engine for baking its lightmaps — so in theory a game as well-realised as Mirror’s Edge (which I believe also utilised Beast) seems perfectly possible, given a suitable development team. When it comes to fully real-time lighting the situation with Unity could definitely be improved — though some of this is already coming in Unity 5’s rendering improvements, particularly with regards to the materials, the default sky setup, Geomerics’ Enlighten and the new frame debugger. But I

63


am often frustrated trying to balance the quality of the real-time directional light’s shadows. It is difficult to get it looking good over a very large terrain, so I think I will have to make some compromises there if I want the time-of-day to be dynamic. I’m very confident about Unity’s potential overall, though. I think it really needs a large-budget AAA title to show how much production value and team experience plays a part in a project’s visuals and overall polish. We already have many indie game developers creating more modest titles with strong art styles, so some big budget spends would be useful for comparison. The Unity workflow is generally really good — but let’s hope Unity don’t get complacent — as they have competitor Epic to compete with! 3DAD: Would a real -time WYSIWYG view be useful for developers? RW: I would like to see a continued push for developing in a ‘live’ environment. So I don’t have to hit ‘play’ to see my world in action, but it feels active and in motion (particles and effects active) as I work in the editor. 3DAD: And I understand there is also a very active third-party developer scene for Unity, for royalty-free add-ons and content and suchlike? Does that help? RW: The Asset Store has been extremely useful for filling gaps in Unity’s toolset. ShaderForge for instance is an extremely capable node-based shader editor, but it is an extra price on top of buying the Unity Pro license. It’s also very good to see assets which aid non-coders or beginners, in areas such as creating coded logic for their games. This is a really important and exciting area. I

feel that a game has to be more than an environment showpiece which you simply wander around — it needs to change in reaction to the player’s actions and that requires code of some kind. Playmaker and uScript are excellent for visually setting out simple logic, and a recent release called uFrame is incredibly good, if you want to ease the difficult later stages of development when a project has become more complex. Though you have to know quite a bit of C# to make the most of uFrame.

3DAD: Tools and workflows are a big interest for our magazine readers. Could you outline the range of tools and materials/content that you’re using alongside Unity, which don’t operate inside Unity? And then how these integrate into the workflow and process? RW: I have spent most of time in the games industry using software I am sure most are already familiar with. Maya and 3DS Max for 3d work, which was then exported to an internal game engine of some kind. However for the last few years I have been using Blender as my primary 3D software. I had been keeping an eye on it for quite a while, and never felt it was something I would want to use full time.

3DAD: Yes, it’s not the easiest to learn. RW: Once they conducted the 2.5 rewrite I decided to go with it and I am perfectly happy so far. We used it for all the 3D art and animation in “Frozen Cortex” and I am using it for terrain sculpting, processing photogrammetry, baking vertex ambient occlusion and further original modelling on “Into This Wylde Abyss”. It certainly is nice that Unity can grab the meshes out of

64


Blender files directly!

maps and making them into meshes for Vue. Are you using any real-world landscape meshes in the game? Or is it all procedural landscape, auto-generated by the game engine?

3DAD: Interesting. They should maybe package that as a standalone. Getting a viable .OBJ with .MTL and textures out of a .BLEND file is often more trouble than it should be, let alone a viable .FBX. RW: Our animator on “Frozen Cortex” (a Sony veteran / lead animator) said to his surprise that Blender it is actually better than Maya, in some respects, for animators. Though it is almost impossible to rely on one tool in computer graphics and game development, so I have found myself using some excellent software for very specific tasks. Terragen 3 for creating skyboxes and cloud renders. World Machine 2 for creating source art for mountains and terrain. Agisoft Photoscan for photogrammetry processing. CrazyBump for quick processing of texture maps. Quixel DDO for fast texturing of detailed objects. 3DAD: Interesting, our 3D Art Live conference series recently ran a paid webinar on DDO textures. RW: Ableton Live for processing music and sound effects. Oh, and Adobe Photoshop of course! However all of the above are for the creation and processing of individual assets. Whilst this is an obvious necessity I have always felt that the most important part is the work done in the game engine itself. It’s really the only part that matters, so get as familiar as possible with its lighting and material features. Lighting is extremely important! 3DAD: Very very true. But back to landscape: we recently published a tutorial on DEM conversion, taking satellite terrain 65

RW: I have been on a little journey with the landscapes for “Wylde Abyss”, as it happens. A journey which involved some forays into procedural generation, albeit of a simple kind. Somewhat akin to ‘roguelikes’, which are a type of game which spawns worlds built up of tiles. I tried out varying sizes and frequencies of tiles, and hacked together some crude world building code in Unity which arranged them in various ways. The results had features and ‘attention points’ spawning in surrounded landscapes. I then turned to variations of this, evolving the idea to try and remedy the concerns I had. If the world seemed too repetitive I would try to increase the variety of the base tiles and the covering layers of objects. If the form of the landscape was too angular and grid-like, then I would enlarge the tiles to allow more room for sweeping curves, peaks and valleys. When the world seemed too sparse and isolated I would spawn huge mountains and cliffs on its periphery. Then variety in lighting seemed desirable, so I wrote a generator for all world lighting, sky and weather settings. Despite all the progress I made on this I was always left quite unsatisfied by it. If the randomness is left too much to chance then the result seems akin to noise. For every success there are equally lacklustre results. I couldn’t quite decide if the undesirable areas were worth the


beauty of the desirable ones. The inclination here is then to narrow down on the range of possible options — after some time this range has become so small you wonder if it’s worth randomising at all. Why not just fix or ‘bake’ the values that you like? What should really be generated procedurally and what should be sculpted by the artist / designer? Perhaps there is a balance to be sought? Players do enjoy variety and the unknown, but also like the familiar, and the telltale impression of human involvement. It is one thing to realise that an artist or designer made something and quite another to perceive the results of an algorithm clearly. Once I became familiar with the raw appearance of Perlin noise I started to see it everywhere, even on the landscapes in the game Minecraft. 3DAD: Yes, I’ve recently thought along similar lines. About how fellow professionals will see small details that the viewing public completely misses. So why stress about every little detail? Partly it’s professional pride in a job well done, I guess. RW: At this point I have just completed a hand sculpted landscape for the entire “Wylde Abyss”. About 62 square miles in total. With a beginning, an end, and views along the way. I hope to use this as a canvas on which to lay two worlds. One hand created and another, more obscure, which has procedural elements — the revealing of which requires action on behalf of the player. 3DAD: That sounds incredibly interesting. And perhaps rather photogenic. You’re quite keen on in -game photography? I must say that that’s something I’m also interested in. We have a long interview with the Art Director on theHunter (same company as makes the AAA Just Cause series) in this issue, and I primarily play his game theHunter as a screenshot photographer with FRAPS. How much of a role will in-game photography play? Will it be incidental, or an actual part of the game play? RW: I am very keen on the idea of encouraging ingame photography. I am torn about how hard to make it, though. It could be a real struggle. An achievement to make a good photo, in the game. I also want to give it extra meaning by making it one mechanic among others which reveals the hidden

66

Unity is a game engine surrounded by a large ecosystem of tools and services, aimed at creating professional quality multiplatform games and interactive content. It offers the


world to the player.

3DAD: Ah, so a sort of weird spectral photography, perhaps? Photographs that reveal things that can’t quite be seen or shown in the game engine. RW: Also… should the gratification of seeing the photos be instant or delayed? I have been making photos on film recently and there is something added by anticipating the results... 3DAD: I’ve often thought that sound capture would also be rather cool, to capture a 20 seconds of audio to play back along with the screenshot. I hear that you have something called “Lantern Slides”, that’s a bit like that, or am I wrong? RW: “Lantern Slides” are a technique I have in mind for representing my own conventional photos in a virtual space. I am really keen to make a title which uses this, maybe the “Abyss” in some form. 3DAD: Where and how do you envisage the game being released? I’m thinking it might make an interesting Oculus Rift game? But equally that it could be fabulous on a 24” desktop monitor.

tools to create 2D and 3D interactive content; collaborate with others, and then rapid deploy your finished game on multiple platforms. Find out more at: https://unity3d.com/

RW: I hope to be working mostly on “Into This Wylde Abyss” for the duration of 2015. That should be enough to be able to show more of it publicly. I am developing on PC and Mac. I am also very keen on an Oculus Rift edition, yes. I have a DK2, and have briefly peered into the abyss for testing purposes. The sense of height is incredible and almost quite dizzying at times. There are many areas of concern for developing on virtual reality systems. Will the player motion be too violent for a first person VR game? Is it possible to get the game running at 90 frames per second on common hardware? Well, I’ll certainly be attempting it. 3DAD: This all sounds like a very exciting game. Richard, thanks for taking time out from developing your games, to talk with us. We wish you all the best success with the release of “Abyss”. RW: No problem. Very kind of you to ask!

Richard Whitelock is online at: http://www.richardwhitelock.com/ 67


INDEX Background: Triceratops dinosaur from TheHunter: Primal videogame (2014).

Issue 45

● ● Chris Hecker | Tigear

● Andy Welder

● ● Dragos Jieanu

~ Peter Johansson | TheHunter videogame

● ● ● George Krallis ● ● Nancho Riesco

Issue 30

Issue 24

~ Elder Scrolls: Oblivion

● James Webb

● ● Ian Grainger

● Oshyan Green

● Hannes Janetzko

● Ulco Glimmerveen

Issue 37

● Jani Peltola

● Jan Walter Schielp

● ● Tobias Roetsch

● Pierre Chartier

and Frank Basinski

● Dave De Kerf

● New World Contest

● ● ● Kim Schneider

(Terragen) gallery

● Jan Van de Klooster

Issue 36

Issue 29

● Benoit Petterlini

● Hans-Rudolf Wernli

● Matthew Attard

● Mavrosh Stratiotis

● Drea Horvath

+ Tobias Richter

● ● Vladimir Yaremchuk

● Michel Rongberg

● Oshyan Greene

● ● ● Paul Gibson

Unique Landscapes

~ Richard Whitelock | Into This Wylde Abyss Issue 44

● AlfA SeeD

● Mark J. Brady

Issue 43

Issue 23

● ● Runtime DNA

● Shaun Williams | his

Issue 22

Ghostship game

● Erich Mestriner

● ● Sixus 1

Issue 35

● ● Dan Alvaro

● ● Maxime des Touches

H.P. Lovecraft gallery

● John Haverkamp

Issue 28

● ● ● Deedee Davies

● Daz, book review

● Don Webster

● Danny Gordon

● ● Clint Hawkins

● Cynthia Decker

Issue 42 ● ● Angel Alonso

Issue 34

● Edson Moraes |

Issue 21

● ● ● Neil Thacker

● William Black

’Wotan’

● Elianeck

* John Scoleri on the

● Ryan Bliss

● ● ● Jens Reinhart Issue 27

work of Ralph McQuarrie

● Rob Caswell

Issue 33

● ● ● Kim Schneider

Issue 41

● ● Sebastien Hue

● Massimo Verona

Issue 20

● J. F. Leisenbor

● ● Jeff Wal

● Mary William

● Matthew Attard

● Graham Symmons

+ Alie Ries

● Tutorial: Importing a

+ ● ● ● Scott Richard

● ● Tim Haaksma |

DEM terrain into Vue

Issue 26

Renderosity

● ● Juan Roderiguez

● ● ● Patrick Turner

Issue 32

● Melissa Krauss

Issue 40

● Suzanne Krings |

● Artur Rosa

Issue 19

● Dax Pandhi

’BadSue’

● Alexander Nikolaev

● Don Webster

● Richard Fraser

● Warren Turner

● Isadore Koliavras

● Adriano (Ady) Di

● Cody Paschal

● Kerem Gogus

Pierro | Laticis

● Finnian MacManus

● Lewis Morrcroft

Issue 38/39

Issue 31

Issue 25

● Suzi Amberson

● ● Sergio Martinez |

● Sylvain Chevallier

● Arthur Dorety

● ● ● Mirek Drozd

● ● Tarik Keskin

● Ron Miller

● ● Christian Beyer

● Joe Vintol | Orbital

Issue 18 ● Ali Ries

Xurge

68


DIRE T Issue 17

● Richard Kitner

● Lewis Moorcroft

● Lenord Curry

● Tutorial: make a

● Heinz Grzybowski

● ● Melissa Krauss

SOFTWARE KEY:

Dynda Yaroslav

● 3ds max

nebula

Issue 5

● Bryce ● Carrara

● ● Bjorn Malmberg

Issue 10

● Kurt Richards

● ● Ryan Malone

● ● Robert Nurse

● Lewis Moorcroft

● ● I. L. Jackson

● Kerem Gogus

Issue 16

● Paul Bussey

● Shaun Williams

● ● Tarik Keskin

● Software review:

● Barry Marshall

● DeeDee Davies

Wings 3D

● Cinema 4D * Classic sci-fi art

● Daz Studio ~ Games CG

Issue 4

● Groboto

Issue 9

● John Robertson

● Hexagon

● ● Luca Oleastri

● Phil Drawbridge

● Lightwave

Issue 15

● Tony Meszaros

● Warren Turner

* Peter Elson

● Arthur Dorety

● Mandelbulb

● ● Juan Rodriguez

● ● Chris Hecker

● Dave Orchid

● Mojoworld

● Susanne Korff-

+ Realms Art

Issue 3

Knoblauch

+ City Engine review

● Arthur Rosa

● ● Neil Thacker ● Les Garner | Sixus 1

● ● Danny Gordon

+ Movie & TV CG

● Photoshop comp. ● Poser

Issue 14

Issue 8

● Fabrice Delage

● POV-Ray

● Bradley W. Schenck

● Groboto 3 review

● Alexander Nikolaev

● Terragen

+ Angel Alonso Garcia

● ● Jeff Hindmarch

● ● Jack Tomalin

● ● ● Simon Beer

● Vue

● ● ● Tony Hayes

● Wings 3D

● Brian Christensen

Issue 2

Issue 13

● Jacob Charles Dietz

● Glenn Clovis

Issue 7

● ● Melissa Krauss

● Rob Caswell

● ● Mark Edwards

● Mark Stevenson

Issue 6

Issue 1

● Artur Rosa

● Ken Musgrave

Issue 12

● Alex Niko

● Ken Musgrave’s

● Jeeni Sjoberg

● Warren Turner

MojoWorld software

~ Chuck Carter (Myst)

● ● Danny Gordon

● Chipp Walters

● ● Christoph Gerber

● ● Juan Rodriguez

● Peter Rex

● Zbrush

● Peter Rex ● Brian Christensen

● ● ● Phil Drawbridge

● ● Juan Rodriguez

Issue 11

● Jacob Charles Dietz

● Tutorial: Vue

● Fredy Wenzel

● Peter Rex

procedural landscape 69

GET ALL BACK ISSUES for just $35!


FREEBIES EACH ISSUE 3D Art Direct will boldly seek out new 3d freebies suitable for your creativity. For this issue’s Game Landscapes special issue, we have four free 3d elements to help add features of interest in your own 3d landscape renders.

basic ’real world’ test render to show what actually exported and loaded up in the testbed software that we used. Disclaimer: We can’t promise that the Web links on this page will live forever, or that the maker won’t decide to put their freebie on sale in the future. So grab them quick!

These four freebies are illustrated with our

THE FOLLY HOUSE FOR VUE:

OLD TOWER FOR POSER:

An unusual shaped medieval gatehouse from BMdesigns, that might add charm to a forest setting. We couldn’t get immediate good results from the Vue .VOB, as you can see above — so you may need to wrestle with it. It is useful in Vue only, as our attempts to export it in various standard 3d formats all met with abject failure.

Andrew and Tracey Rolfe (‘Mortem Vetus’) offer this free model for Poser through Runtime DNA. This is a usefully generic model, and could serve as everything from a monkish medieval hideaway in the summer greenwood, to the grim centrepiece of a bleak winter moorland.

DOWNLOAD

DOWNLOAD 70


DIRECT! STONEHENGE AT ITS HEIGHT: This 3d model of the central stone complex at Stonehenge is by Mark Fowler (‘Hypnagogia’). It comes in .OBJ with an excellent single texture, .3DS, .FBX and also as a .MAX file. We did find a few of the top capstones to be little out of alignment in the .OBJ, but it’s easy to nudge them back into their correct position.

The mysterious giant stone structure called Stonehenge is one of the key archaeological survivals in the British Isles. Its purpose and makers are unknown, but the structure (as it stands today) was in active use for a thousand years, from about 2600 BC to about 1600 BC.

DOWNLOAD

SCI-FI OBSERVATION TOWER: A sleek Observation Tower by UNStudio and AlfreBilbao. A SketchUp .SKP file, we loaded it in the free SketchUp, and exported an .OBJ along with its materials. Cantilevered off a wooded cliff alongside a futuristic home, or soaring alone out above a forest canopy, this tower could add a nice sci-fi flavour to your wooded landscape.

DOWNLOAD 71


NEXT ISSUE: SPECIAL JAN-FEB DOUBLE ISSUE

MID JAN 2015 Interested in being interviewed in a future issue of 3D Art Direct magazine? Or offering a webinar for our conference series? Please send us the Web address of your sci-fi website, gallery or store, and we’ll visit! paul@3dartdirect.com Real-time screenshot from the videogame theHunter. 72

3D Art Direct Issue 45  

3D Art Direct specialises with the stories of creativity using 3D digital art applications. We love to share our in-depth interviews of digi...

Read more
Read more
Similar to
Popular now
Just for you